package com.isu.gaswellwatch.modbus.data.decode;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.amqp.core.Message;

/**
 * Modbus 数据解析器
 *
 * @author <a href="mailto:shilong.wang@alpha-ess.com">王仕龙</a>
 * 2024/11/23 11:20
 */
public interface DecodeHandler {

    String MODBUS_DEVICE_TYPE_FIELD_NAME = "modbusDeviceType";
    Logger logger = LoggerFactory.getLogger("com.isu.gaswellwatch.decode");

    void decode(Message message) throws Exception;

}
